[已解决] [ESP-CSI]console-test案例无法进入csi的console界面

zhu111
Posts: 2
Joined: Wed Jun 16, 2021 1:50 pm

[已解决] [ESP-CSI]console-test案例无法进入csi的console界面

Postby zhu111 » Wed Jun 16, 2021 2:17 pm

[硬件]
1、芯片ESP32
2、模组ESP32-S
3、开发板NodeMCU-32

[软件]
1、IDF:v4.4-dev-1594-g1d7068e4b

[环境]
1、win10
2、python3.7


第一个问题:在出现Press TAB when typing coets Jun 8 2016 00:22:57后,又重新开始输出串口信息,没有进入console界面,按Ctrl+T无法进入也Menu界面,只有Ctrl+]可以退出监视器
微信截图_20210616221634.png
微信截图_20210616221634.png (72.06 KiB) Viewed 1112 times

第二个问题:如何在demo中配置softAp mode以及Sta mode
微信截图_20210616220516.png
微信截图_20210616220516.png (16.61 KiB) Viewed 1112 times
Last edited by zhu111 on Thu Jun 17, 2021 1:21 pm, edited 1 time in total.

ESP_Gargamel
Posts: 539
Joined: Wed Nov 14, 2018 8:45 am

Re: [ESP-CSI]console-test案例无法进入csi的console界面

Postby ESP_Gargamel » Thu Jun 17, 2021 8:19 am

IDF 的 master 分支由于处于持续迭代的过程,当中会有一些问题。针对 ESP-CSI,请使用该仓库中建议的 IDF 版本使用,6e776946d01ec0d081d09000c36d23ec1d318c06。
在 idf 目录下执行以下命令切换版本:

Code: Select all

git checkout 6e776946d01ec0d081d09000c36d23ec1d318c06
git submodule update --init --recursive
可以在两个设备上分别执行 ap <ssid> <password> 和 sta <ssid> <password>

zhu111
Posts: 2
Joined: Wed Jun 16, 2021 1:50 pm

Re: [ESP-CSI]console-test案例无法进入csi的console界面

Postby zhu111 » Thu Jun 17, 2021 1:20 pm

感谢您的帮助,问题已解决。

fireice
Posts: 2
Joined: Fri Jul 23, 2021 1:05 pm

Re: [ESP-CSI]console-test案例无法进入csi的console界面

Postby fireice » Fri Jul 23, 2021 1:13 pm

我也遇到了类似的情况,请问已下您是怎么解决的?如果看到了,希望您能联系我 。邮箱1027097617@qq.com

ESP_Gargamel
Posts: 539
Joined: Wed Nov 14, 2018 8:45 am

Re: [已解决] [ESP-CSI]console-test案例无法进入csi的console界面

Postby ESP_Gargamel » Mon Jul 26, 2021 7:08 am

如之前贴中所述,请使用相对应的 IDF 版本。

fireice
Posts: 2
Joined: Fri Jul 23, 2021 1:05 pm

Re: [已解决] [ESP-CSI]console-test案例无法进入csi的console界面

Postby fireice » Thu Jul 29, 2021 5:17 am

你好,我现在有出现了使用idf.py -p com monitor这个命令之后出现如下这样的错误,把hello_world例程烧入板子使用monitor命令是正常的,版本也按照例程的idf版本。

ClearCommError failed (PermissionError(13, 'Exception in thread Thread-2:
Traceback (most recent call last):
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 401, in run
data = self.serial.read(self.serial.in_waiting or 1)
File "C:\Users\yy9226\.espressif\python_env\idf4.3_py3.9_env\lib\site-packages\serial\serialwin32.py", line 259, in in_waiting
raise SerialException("ClearCommError failed ({!r})".format(ctypes.WinError()))
serial.serialutil.SerialException: ClearCommError failed (PermissionError(13, '

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Python\lib\threading.py", line 973, in _bootstrap_inner
self.run()
File "C:\Python\lib\threading.py", line 910, in run
self._target(*self._args, **self._kwargs)
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 187, in _run_outer
self.run()
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 406, in run
red_print(e)
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 109, in red_print
color_print(message, ANSI_RED, newline)
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 101, in color_print
sys.stderr.write('%s%s%s%s' % (color, message, ANSI_NORMAL, newline))
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 1303, in write
self._output_write(b)
File "C:\Users\yy9226\Desktop\esp\esp-idf\tools\idf_monitor.py", line 1261, in _output_write
self.output.write(data.decode())
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe8 in position 0: unexpected end of data

Who is online

Users browsing this forum: No registered users and 9 guests